=== debian/changelog ===
ydotool (1.0.4-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Andre Paiusco <debian@paiusco.org>  Mon, 15 Sep 2025 20:42:37 +0200

ydotool (1.0.4-2) unstable; urgency=medium

  * d/control: fix breakage with previous ydotoold (Closes: #1110400)
  * d/tests: Add first basic autopkgtests for package
  # d/salsa-cu: Add base gitlabci config

 -- Andre Paiusco <debian@paiusco.org>  Sun, 10 Aug 2025 22:45:48 +0200

ydotool (1.0.4-1) experimental; urgency=medium

  * Change of maintainers (Closes: #1086596).
  * New upstream release (Closes: #1053561).
  * glibc is now dynamically linked (Closes: #1106805)
  * Move license from MIT to AGPL-3.0
  * Update Standard version and Compat version
  * Merge daemon (ydotoold) into ydotool package
  * Add udev rule needed for user service daemon
  * Add DEP12 metadata

 -- Andre Paiusco <debian@paiusco.org>  Sun, 18 May 2025 13:29:10 +0100

ydotool (0.1.8-3) unstable; urgency=medium

  * d/control: Rules-Requires-Root: no.
  * depend on livevdevplus >= 0.1.1-2. (Closes: #959905)
  * d/rules: -DCMAKE_POSITION_INDEPENDENT_CODE=ON.

 -- Alexandre Viau <aviau@debian.org>  Tue, 22 Dec 2020 12:53:31 -0500
