=== debian/tests/control ===
Tests: smoke-tests
Depends: @, sudo, shunit2
Restrictions: needs-sudo isolation-machine
