=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ydotool-$1\.tar\.gz/ \
  https://github.com/ReimuNotMoe/ydotool/tags .*/v?(\d\S+)\.tar\.gz
